Bug 733327 - stacking entitlements reports as distinct entries in cli list --installed
Summary: stacking entitlements reports as distinct entries in cli list --installed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 0.5
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Jesus M. Rodriguez
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 715031
TreeView+ depends on / blocked
 
Reported: 2011-08-25 13:41 UTC by Jesus M. Rodriguez
Modified: 2015-05-14 15:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-29 19:05:24 UTC


Attachments (Terms of Use)
Attaching the entitlements that exhibit the problem. (3.84 KB, application/x-gzip)
2011-08-25 13:46 UTC, Jesus M. Rodriguez
no flags Details
custom facts (27 bytes, text/plain)
2011-08-25 13:54 UTC, Jesus M. Rodriguez
no flags Details

Description Jesus M. Rodriguez 2011-08-25 13:41:53 UTC
Install a multi-entitlement product twice each with 2 sockets. Then put in a custom fact to give the guest 4 sockets. The 2 entitlements should stack to
make it valid.

Actual result:
subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+

ProductName:        	Awesome OS for x86_64 Bits
Status:             	Partially Subscribed     
Expires:            	08/14/2012               
SerialNumber:       	4622229203985224299      
ContractNumber:     	30                       
AccountNumber:      	12331131231              


ProductName:        	Awesome OS for x86_64 Bits
Status:             	Partially Subscribed     
Expires:            	08/14/2012               
SerialNumber:       	2387281807267487785      
ContractNumber:     	30                       
AccountNumber:      	12331131231              

Expected results?

subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+

ProductName:        	Awesome OS for x86_64 Bits
Status:             	Subscribed     
Expires:            	08/14/2012               
SerialNumber:       	4622229203985224299      
ContractNumber:     	30                       
AccountNumber:      	12331131231              


ProductName:        	Awesome OS for x86_64 Bits
Status:             	Subscribed     
Expires:            	08/14/2012               
SerialNumber:       	2387281807267487785      
ContractNumber:     	30                       
AccountNumber:      	12331131231

Comment 1 Jesus M. Rodriguez 2011-08-25 13:46:38 UTC
Created attachment 519841 [details]
Attaching the entitlements that exhibit the problem.

Comment 2 Jesus M. Rodriguez 2011-08-25 13:54:39 UTC
Created attachment 519850 [details]
custom facts

Comment 3 Adrian Likins 2011-09-06 17:25:23 UTC
This seems to be working better now. 

With two certs for 2 sockets each, on a 4 socket machine:


[adrian@alikins subscription-manager:]$ sudo src/subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+

ProductName:        	Awesome OS for x86_64 Bits
Status:             	Subscribed               
Expires:            	08/30/2012               
SerialNumber:       	3124167757041210757      
ContractNumber:     	31                       
AccountNumber:      	12331131231              


ProductName:        	Awesome OS for x86_64 Bits
Status:             	Subscribed               
Expires:            	08/30/2012               
SerialNumber:       	1868106114792532533      
ContractNumber:     	31                       
AccountNumber:      	12331131231              


With the same machine setup as a five socket machine:
[adrian@alikins subscription-manager:]$ sudo src/subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+

ProductName:        	Awesome OS for x86_64 Bits
Status:             	Partially Subscribed     
Expires:            	08/30/2012               
SerialNumber:       	3124167757041210757      
ContractNumber:     	31                       
AccountNumber:      	12331131231              


ProductName:        	Awesome OS for x86_64 Bits
Status:             	Partially Subscribed     
Expires:            	08/30/2012               
SerialNumber:       	1868106114792532533      
ContractNumber:     	31                       
AccountNumber:      	12331131231              


So, that status seems correct. I'm not sure if this (and the --consumed) case 
should be collapsing products together or not. 

Docs for --consumed seem to indicate it is list subscriptions, while docs for --install imply it should be listed by product. So something is wrong there.

Comment 4 Devan Goodwin 2011-11-04 17:06:27 UTC
I'm not sure if this was a side effect of recent stacking work, but this appears to be working better now.

--consumed looks right, it shouldn't be collapsed IMO if they are actually separate entitlements (vs one with a quantity), as they could have different info, at the very least serial number.

--installed only shows the installed product once, and knows it is fully subscribed.

(root@redhat ~) $ subscription-manager list --consumed
+-------------------------------------------+
    Consumed Product Subscriptions
+-------------------------------------------+

ProductName:            Awesome OS for x86_64 Bits
ContractNumber:         30                       
AccountNumber:          12331131231              
SerialNumber:           4147618888995564250      
Active:                 True                     
QuantityUsed:           1                        
Begins:                 11/03/2011               
Expires:                11/02/2012               

ProductName:            Awesome OS for x86_64 Bits
ContractNumber:         31                       
AccountNumber:          12331131231              
SerialNumber:           7692083239409071101      
Active:                 True                     
QuantityUsed:           1                        
Begins:                 11/03/2011               
Expires:                11/02/2012               

(root@redhat ~) $ subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
ProductName:            Awesome OS for x86_64 Bits
Version:                3.11                     
Arch:                   x86_64                   
Status:                 Subscribed               
Starts:                 11/03/2011               
Expires:                11/02/2012               


Moving to modified.

Comment 5 J.C. Molet 2011-11-29 14:02:39 UTC
the list --installed is now consolidated in both the partially subscribed and subscribed cases:


[jmolet@xanadu ~]$ jmolet-vm4
reverse mapping checking getaddrinfo for unused [10.11.230.128] failed - POSSIBLE BREAK-IN ATTEMPT!
Last login: Tue Nov 29 08:36:43 2011 from dhcp231-30.rdu.redhat.com
[root@jmolet-vm4 ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
ProductName:          	Awesome OS for x86_64 Bits
Version:              	3.11                     
Arch:                 	x86_64                   
Status:               	Not Subscribed           
Starts:               	None                     
Expires:              	None                     

[root@jmolet-vm4 ~]# subscription-manager list --consumed
No Consumed subscription pools to list
[root@jmolet-vm4 ~]# subscription-manager subscribe --pool 8a90f88f33ee92fb0133ee94222e04cf
Successfully consumed a subscription from the pool with id 8a90f88f33ee92fb0133ee94222e04cf
[root@jmolet-vm4 ~]# subscription-manager subscribe --pool 8a90f88f33ee92fb0133ee94224c04da
Successfully consumed a subscription from the pool with id 8a90f88f33ee92fb0133ee94224c04da
[root@jmolet-vm4 ~]# subscription-manager list --consumed
+-------------------------------------------+
    Consumed Product Subscriptions
+-------------------------------------------+

ProductName:          	Awesome OS for x86_64 Bits
ContractNumber:       	30                       
AccountNumber:        	12331131231              
SerialNumber:         	3026553314943578231      
Active:               	True                     
QuantityUsed:         	1                        
Begins:               	11/28/2011               
Expires:              	11/27/2012               

ProductName:          	Awesome OS for x86_64 Bits
ContractNumber:       	31                       
AccountNumber:        	12331131231              
SerialNumber:         	7949888393999950140      
Active:               	True                     
QuantityUsed:         	1                        
Begins:               	11/28/2011               
Expires:              	11/27/2012               

[root@jmolet-vm4 ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
ProductName:          	Awesome OS for x86_64 Bits
Version:              	3.11                     
Arch:                 	x86_64                   
Status:               	Partially Subscribed     
Starts:               	11/28/2011               
Expires:              	11/27/2012               

[root@jmolet-vm4 ~]# subscription-manager subscribe --pool 8a90f88f33ee92fb0133ee94224c04da
Successfully consumed a subscription from the pool with id 8a90f88f33ee92fb0133ee94224c04da
[root@jmolet-vm4 ~]# subscription-manager subscribe --pool 8a90f88f33ee92fb0133ee94222e04cf
Successfully consumed a subscription from the pool with id 8a90f88f33ee92fb0133ee94222e04cf
[root@jmolet-vm4 ~]# subscription-manager list --consumed
+-------------------------------------------+
    Consumed Product Subscriptions
+-------------------------------------------+

ProductName:          	Awesome OS for x86_64 Bits
ContractNumber:       	30                       
AccountNumber:        	12331131231              
SerialNumber:         	3026553314943578231      
Active:               	True                     
QuantityUsed:         	1                        
Begins:               	11/28/2011               
Expires:              	11/27/2012               

ProductName:          	Awesome OS for x86_64 Bits
ContractNumber:       	31                       
AccountNumber:        	12331131231              
SerialNumber:         	4586229852195299537      
Active:               	True                     
QuantityUsed:         	1                        
Begins:               	11/28/2011               
Expires:              	11/27/2012               

ProductName:          	Awesome OS for x86_64 Bits
ContractNumber:       	30                       
AccountNumber:        	12331131231              
SerialNumber:         	1691118799144568243      
Active:               	True                     
QuantityUsed:         	1                        
Begins:               	11/28/2011               
Expires:              	11/27/2012               

ProductName:          	Awesome OS for x86_64 Bits
ContractNumber:       	31                       
AccountNumber:        	12331131231              
SerialNumber:         	7949888393999950140      
Active:               	True                     
QuantityUsed:         	1                        
Begins:               	11/28/2011               
Expires:              	11/27/2012               

[root@jmolet-vm4 ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
ProductName:          	Awesome OS for x86_64 Bits
Version:              	3.11                     
Arch:                 	x86_64                   
Status:               	Subscribed               
Starts:               	11/28/2011               
Expires:              	11/27/2012     



marking VERIFIED against:

python-rhsm-0.98.3-1.git.2.74cd6bb.el5_7
subscription-manager-gnome-0.98.3-1.git.16.14460bc.el5_7
subscription-manager-firstboot-0.98.3-1.git.16.14460bc.el5_7
subscription-manager-0.98.3-1.git.16.14460bc.el5_7


Note You need to log in before you can comment on or make changes to this bug.